// приём инфо  из  промежут табл ndfl_info1.tmp  в табл  "Уплата НДФЛ в ЛС - отпускные"
// вызов модуля  ReadSprTbl  из "Начало расчета таблицы"__:
//       UnloadScriptModule("user\\Otp_ndfl_r");LoadScriptModule("user\\Otp_ndfl_r");return ReadSprTbl(__AdrTable);  
//

   var CTabl   = CreateObject("CurPrnTbl");
   var SprTabl  = CreateObject("CurPrnTbl");     // справ таблица

   int CountTabl = 0;
   int NumZap = 0;






ReadSprTbl(__AdrTable)
{
   CTabl.Initial(__AdrTable);
   //CTabl.Clear();                        
   int CurRcr = CTabl.Count_Rcr()-1;                    // устанвливаем счетчик

   SprTabl.InitialNameFile("T_PROC\\ndfl_info1.tmp");

   int VidNDFL = 2;
     
   // int mcal  int year
   char mon[20];
   sprintf(mon,"%s.%s",to_string(mcal),to_string(year));

   //_________ Начинаем обработку записей таблицы
   for ( int RcrTbl=0; RcrTbl<SprTabl.Count_Rcr(); ++RcrTbl )
    {
      int tn     = atoi(SprTabl.TextS("C_FIO",RcrTbl));
      string fio = SprTabl.TextS("FIO",RcrTbl);  
      int ndfl   = atoi(SprTabl.TextS("Str_Vzn",RcrTbl));      
      string dat = SprTabl.TextS("Date",RcrTbl);  

         CTabl.Add_Rcr(CurRcr,1);
         CTabl.STextS("C_FIO",CurRcr, static_cast_to_string(tn));
         CTabl.STextS("FIO",CurRcr, static_cast_to_string(fio));
         CTabl.STextS("Month",CurRcr, static_cast_to_string(mon));
         CTabl.STextS("KindTax",CurRcr, static_cast_to_string(VidNDFL));    
         CTabl.STextS("Summary",CurRcr, static_cast_to_string(ndfl));
         CTabl.STextS("Date",CurRcr, static_cast_to_string(dat));

         CurRcr++;


    }
     CTabl.Del_Empty_Rcr();
     CTabl.Rewrite();

//   if (ESC==Panel_Zapros(" Формиров массива  RSV_tn[tn] закончено","",
//                        "  всего записей: ",KolZap, 5)
//                                                              ) return ESC;
}











